Bug 2000291

Summary: kleopatra: Creates unsafe ~/.gnupg when not already present
Product: [Other] Security Response Reporter: Michael Kaplan <mkaplan>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: kde-sig, me, rdieter
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-09-02 00:56:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2000292    
Bug Blocks:    

Description Michael Kaplan 2021-09-01 18:58:27 UTC
An issue was found in kleopatra. It creates unsafe ~/.gnupg when not already present

Comment 1 Michael Kaplan 2021-09-01 18:58:41 UTC
Created kleopatra tracking bugs for this issue:

Affects: fedora-all [bug 2000292]

Comment 2 Product Security DevOps Team 2021-09-02 00:56:10 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.

Comment 3 Rex Dieter 2021-09-03 15:16:50 UTC
~/.gnupg is unsafe... how exactly?

For me, it creates a directory with my default ownership/permissions